Name:          libdom
Version:       0.4.2
Release:       1mamba
Summary:       Document Object Model library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.netsurf-browser.org/projects/libdom/
Source:        https://git.netsurf-browser.org/libdom.git/release%2F%{version}/libdom-%{version}.tar.bz2
Patch0:        libdom-0.4.2-gcc-14.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libhubbub-devel
BuildRequires: libparserutils-devel
BuildRequires: libwapcaplet-devel
## AUTOBUILDREQ-END
BuildRequires: netsurf-buildsystem

%description
LibDOM is an implementation of the W3C DOM, written in C.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
%patch 0 -p1 -b .gcc-14

%build
%make COMPONENT_TYPE=lib-shared INCLUDEDIR=include LIBDIR=%{_lib} PREFIX=%{_prefix}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall COMPONENT_TYPE=lib-shared INCLUDEDIR=include LIBDIR=%{_lib} PREFIX=%{_prefix}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libdom.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/dom
%{_includedir}/dom/*
%{_libdir}/libdom.so
%{_libdir}/pkgconfig/libdom.pc
%doc README

%changelog
* Fri Jan 03 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- package created using the webbuild interface
